import request2 from "@/utils/request2";

// 获取首页数据
export const getMusicMemberList = data =>
  request2({
    url: "/api-web/musicGroup/queryMusicMemberList",
    params: data,
    method: "get"
  });

// 添加
export const add = data =>
  request2({
    url: "/api-web/cloudCoachPaymentProgram/add",
    method: "post",
    data
  });

// 修改
export const update = data =>
  request2({
    url: "/api-web/cloudCoachPaymentProgram/update",
    method: "post",
    data
  });

//
export const cloudCoachPaymentProgramQueryPage = data =>
  request2({
    url: "/api-web/cloudCoachPaymentProgram/queryPage",
    method: "get",
    params: data
  });

//
export const cloudQueryPage = data =>
  request2({
    url: "/api-web/studentCloudCoachPaymentDetails/queryPage",
    method: "get",
    params: data
  });

// 设置云练习会员时长
export const setStudentMembe = data =>
  request2({
    url: "/api-web/studentManage/updateStudentMember",
    method: "post",
    data: data,
    requestType: "form"
  });
